> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/order-proposals.md).

# Order Proposals

Manage order proposals in VARIO Cloud via API, including suppliers, proposal lines, ordering decisions, background generation and order creation.

Order proposals.

## GET /erp/order-proposals/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}":{"get":{"tags":["OrderProposals"],"summary":"Find an existing Resource by identifier","operationId":"getById_34","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"usedOrderProposalGenerateRequest":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Should a price request be created instead of a supplier order?","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Should the created supplier order be sent by email directly?"},"processed":{"type":"boolean","default":false,"description":"Was the order proposal processed?"},"orderProposalSuppliers":{"type":"array","description":"Order proposal supplier relations.","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-stock-OrderProposalGenerateRequest":{"description":"Information for creating an order proposal.","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template."},"purchaseStorageId":{"type":"integer","format":"int64","description":"Purchase order storage identifier."},"supplierPreference":{"type":"string","description":"Supplier preference.","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Demand determination type.","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Basis for the SALES demand determination.","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Averaging method for the SALES demand determination.","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim percentage per side, 0 to < 50 (mandatory for TRIMMED_MEAN)."},"recognizeReservations":{"type":"boolean","default":false,"description":"Consider reservations for the quantity to order."},"recognizeOrders":{"type":"boolean","default":false,"description":"Consider supplier orders for the quantity to order."},"recognizeStock":{"type":"boolean","default":false,"description":"Consider the stock for the quantity to order."},"productWideNeedAssessmentAndOrder":{"type":"boolean","default":false,"description":"Product-wide demand calculation and ordering across all packages of the product."},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Count material issues from the fabrication (net) in addition to the sales consumption (SALES only)."},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Number of days to order for."},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Observation period in days back from today (alternative to observationPeriods).","minimum":0},"observationPeriods":{"type":"array","description":"Specific observation periods (alternative to observationPeriodInLastDays).","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"recognizeNotYetApprovedPrePaymentReservations":{"type":"boolean","default":false,"description":"Consider prepayment reservations that are not yet released for delivery."},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Cut-off restriction for the reservation recognition in days."},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Include articles whose demand determination is based on reservations only."},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"Default supplier account identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Create a price request instead of a supplier order."},"articlePresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the articles."},"productGroupIds":{"type":"array","description":"Identifiers of the product groups the article selection is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the product groups the article selection is restricted to."}},"responsibleUserId":{"type":"integer","format":"int64","description":"Identifier of the responsible user the article selection is restricted to."},"supplierPresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the suppliers."},"supplierAccountIds":{"type":"array","description":"Identifiers of the supplier accounts the order proposal is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the supplier accounts the order proposal is restricted to."}}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Observation period (from/to) for the demand determination based on sales.","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/order-proposals/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}":{"put":{"tags":["OrderProposals"],"summary":"Update existing Resource ","operationId":"update_35","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"usedOrderProposalGenerateRequest":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Should a price request be created instead of a supplier order?","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Should the created supplier order be sent by email directly?"},"processed":{"type":"boolean","default":false,"description":"Was the order proposal processed?"},"orderProposalSuppliers":{"type":"array","description":"Order proposal supplier relations.","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-stock-OrderProposalGenerateRequest":{"description":"Information for creating an order proposal.","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template."},"purchaseStorageId":{"type":"integer","format":"int64","description":"Purchase order storage identifier."},"supplierPreference":{"type":"string","description":"Supplier preference.","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Demand determination type.","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Basis for the SALES demand determination.","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Averaging method for the SALES demand determination.","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim percentage per side, 0 to < 50 (mandatory for TRIMMED_MEAN)."},"recognizeReservations":{"type":"boolean","default":false,"description":"Consider reservations for the quantity to order."},"recognizeOrders":{"type":"boolean","default":false,"description":"Consider supplier orders for the quantity to order."},"recognizeStock":{"type":"boolean","default":false,"description":"Consider the stock for the quantity to order."},"productWideNeedAssessmentAndOrder":{"type":"boolean","default":false,"description":"Product-wide demand calculation and ordering across all packages of the product."},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Count material issues from the fabrication (net) in addition to the sales consumption (SALES only)."},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Number of days to order for."},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Observation period in days back from today (alternative to observationPeriods).","minimum":0},"observationPeriods":{"type":"array","description":"Specific observation periods (alternative to observationPeriodInLastDays).","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"recognizeNotYetApprovedPrePaymentReservations":{"type":"boolean","default":false,"description":"Consider prepayment reservations that are not yet released for delivery."},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Cut-off restriction for the reservation recognition in days."},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Include articles whose demand determination is based on reservations only."},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"Default supplier account identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Create a price request instead of a supplier order."},"articlePresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the articles."},"productGroupIds":{"type":"array","description":"Identifiers of the product groups the article selection is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the product groups the article selection is restricted to."}},"responsibleUserId":{"type":"integer","format":"int64","description":"Identifier of the responsible user the article selection is restricted to."},"supplierPresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the suppliers."},"supplierAccountIds":{"type":"array","description":"Identifiers of the supplier accounts the order proposal is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the supplier accounts the order proposal is restricted to."}}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Observation period (from/to) for the demand determination based on sales.","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/order-proposals/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}":{"delete":{"tags":["OrderProposals"],"summary":"Delete an existing Resource","operationId":"delete_34","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}":{"put":{"tags":["OrderProposals"],"operationId":"updateOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-line-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalLine":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"orderProposalId":{"type":"string","description":"Order proposal.","readOnly":true},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"proposedOrderAmount":{"type":"number","description":"Proposed quantity to order."},"toBeOrderedAmount":{"type":"number","description":"Quantity actually to order."},"priceTotal":{"type":"number","description":"Calculated total price.","readOnly":true},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"productDiscounts":{"type":"array","description":"Supplier price rules.","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"},"readOnly":true},"determinedUnitPrice":{"type":"number","description":"Determined unit price.","readOnly":true},"negotiatedUnitPrice":{"type":"number","description":"Negotiated unit price."},"totalPrice":{"type":"number","description":"Total price.","readOnly":true},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time.","readOnly":true},"orderDocumentLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"toBeOrdered":{"type":"boolean"}},"required":["articleRef","proposedOrderAmount","supplierAccountRef","toBeOrderedAmount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ProductDiscount":{"description":"Contains a price rule, that is a sales or purchase discount for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase discount.","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this discount is valid."},"modifierName":{"type":"string","description":"Discount name.","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Determines the discount type.","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Discount value."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## DELETE /erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}":{"delete":{"tags":["OrderProposals"],"operationId":"removeOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-line-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}":{"put":{"tags":["OrderProposals"],"operationId":"updateOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]}}}}
```

## DELETE /erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}":{"delete":{"tags":["OrderProposals"],"operationId":"removeOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/order-proposals

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals":{"post":{"tags":["OrderProposals"],"summary":"Create new Resource","operationId":"create_33","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"usedOrderProposalGenerateRequest":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Should a price request be created instead of a supplier order?","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Should the created supplier order be sent by email directly?"},"processed":{"type":"boolean","default":false,"description":"Was the order proposal processed?"},"orderProposalSuppliers":{"type":"array","description":"Order proposal supplier relations.","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-stock-OrderProposalGenerateRequest":{"description":"Information for creating an order proposal.","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template."},"purchaseStorageId":{"type":"integer","format":"int64","description":"Purchase order storage identifier."},"supplierPreference":{"type":"string","description":"Supplier preference.","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Demand determination type.","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Basis for the SALES demand determination.","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Averaging method for the SALES demand determination.","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim percentage per side, 0 to < 50 (mandatory for TRIMMED_MEAN)."},"recognizeReservations":{"type":"boolean","default":false,"description":"Consider reservations for the quantity to order."},"recognizeOrders":{"type":"boolean","default":false,"description":"Consider supplier orders for the quantity to order."},"recognizeStock":{"type":"boolean","default":false,"description":"Consider the stock for the quantity to order."},"productWideNeedAssessmentAndOrder":{"type":"boolean","default":false,"description":"Product-wide demand calculation and ordering across all packages of the product."},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Count material issues from the fabrication (net) in addition to the sales consumption (SALES only)."},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Number of days to order for."},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Observation period in days back from today (alternative to observationPeriods).","minimum":0},"observationPeriods":{"type":"array","description":"Specific observation periods (alternative to observationPeriodInLastDays).","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"recognizeNotYetApprovedPrePaymentReservations":{"type":"boolean","default":false,"description":"Consider prepayment reservations that are not yet released for delivery."},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Cut-off restriction for the reservation recognition in days."},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Include articles whose demand determination is based on reservations only."},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"Default supplier account identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Create a price request instead of a supplier order."},"articlePresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the articles."},"productGroupIds":{"type":"array","description":"Identifiers of the product groups the article selection is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the product groups the article selection is restricted to."}},"responsibleUserId":{"type":"integer","format":"int64","description":"Identifier of the responsible user the article selection is restricted to."},"supplierPresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the suppliers."},"supplierAccountIds":{"type":"array","description":"Identifiers of the supplier accounts the order proposal is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the supplier accounts the order proposal is restricted to."}}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Observation period (from/to) for the demand determination based on sales.","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeOrdered

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeOrdered":{"post":{"tags":["OrderProposals"],"operationId":"setProposalLinesToBeOrdered","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeNotOrdered

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeNotOrdered":{"post":{"tags":["OrderProposals"],"operationId":"setProposalLinesToBeNotOrdered","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /erp/order-proposals/{id}/perform-create-orders

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/perform-create-orders":{"post":{"tags":["OrderProposals"],"operationId":"performCreateOrders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/order-proposals/{id}/order-proposals

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposals":{"post":{"tags":["OrderProposals"],"operationId":"addOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalLine":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"orderProposalId":{"type":"string","description":"Order proposal.","readOnly":true},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"proposedOrderAmount":{"type":"number","description":"Proposed quantity to order."},"toBeOrderedAmount":{"type":"number","description":"Quantity actually to order."},"priceTotal":{"type":"number","description":"Calculated total price.","readOnly":true},"productPrices":{"type":"array","description":"Supplier prices.","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"productDiscounts":{"type":"array","description":"Supplier price rules.","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"},"readOnly":true},"determinedUnitPrice":{"type":"number","description":"Determined unit price.","readOnly":true},"negotiatedUnitPrice":{"type":"number","description":"Negotiated unit price."},"totalPrice":{"type":"number","description":"Total price.","readOnly":true},"deliveryTime":{"type":"integer","format":"int32","description":"Delivery time.","readOnly":true},"orderDocumentLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"toBeOrdered":{"type":"boolean"}},"required":["articleRef","proposedOrderAmount","supplierAccountRef","toBeOrderedAmount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-ProductPrice":{"description":"Contains a sales or purchase price for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Net price."},"grossPrice":{"type":"number","description":"Gross price."},"priceBase":{"type":"string","description":"Price base.","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase price.","enum":["SALES","PURCHASE"],"readOnly":true},"purchasePriceSource":{"type":"string","description":"Purchase price for the calculation.","enum":["NONE","AVERAGE","MOST_RECENT"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierValue":{"type":"number","description":"Surcharge value in the purchase price calculation."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this price is valid."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"erp-product-ProductDiscount":{"description":"Contains a price rule, that is a sales or purchase discount for a product.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Determines whether this is a sales or a purchase discount.","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Determines from which quantity this discount is valid."},"modifierName":{"type":"string","description":"Discount name.","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Determines the discount type.","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Discount value."},"validFrom":{"type":"string","format":"date","description":"Valid from."},"validUntil":{"type":"string","format":"date","description":"Valid until."},"specialOfferPrice":{"type":"boolean","default":false,"description":"Special offer price."},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"usedOrderProposalGenerateRequest":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Should a price request be created instead of a supplier order?","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Should the created supplier order be sent by email directly?"},"processed":{"type":"boolean","default":false,"description":"Was the order proposal processed?"},"orderProposalSuppliers":{"type":"array","description":"Order proposal supplier relations.","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}},"erp-stock-OrderProposalGenerateRequest":{"description":"Information for creating an order proposal.","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template."},"purchaseStorageId":{"type":"integer","format":"int64","description":"Purchase order storage identifier."},"supplierPreference":{"type":"string","description":"Supplier preference.","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Demand determination type.","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Basis for the SALES demand determination.","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Averaging method for the SALES demand determination.","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim percentage per side, 0 to < 50 (mandatory for TRIMMED_MEAN)."},"recognizeReservations":{"type":"boolean","default":false,"description":"Consider reservations for the quantity to order."},"recognizeOrders":{"type":"boolean","default":false,"description":"Consider supplier orders for the quantity to order."},"recognizeStock":{"type":"boolean","default":false,"description":"Consider the stock for the quantity to order."},"productWideNeedAssessmentAndOrder":{"type":"boolean","default":false,"description":"Product-wide demand calculation and ordering across all packages of the product."},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Count material issues from the fabrication (net) in addition to the sales consumption (SALES only)."},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Number of days to order for."},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Observation period in days back from today (alternative to observationPeriods).","minimum":0},"observationPeriods":{"type":"array","description":"Specific observation periods (alternative to observationPeriodInLastDays).","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"recognizeNotYetApprovedPrePaymentReservations":{"type":"boolean","default":false,"description":"Consider prepayment reservations that are not yet released for delivery."},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Cut-off restriction for the reservation recognition in days."},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Include articles whose demand determination is based on reservations only."},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"Default supplier account identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Create a price request instead of a supplier order."},"articlePresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the articles."},"productGroupIds":{"type":"array","description":"Identifiers of the product groups the article selection is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the product groups the article selection is restricted to."}},"responsibleUserId":{"type":"integer","format":"int64","description":"Identifier of the responsible user the article selection is restricted to."},"supplierPresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the suppliers."},"supplierAccountIds":{"type":"array","description":"Identifiers of the supplier accounts the order proposal is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the supplier accounts the order proposal is restricted to."}}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Observation period (from/to) for the demand determination based on sales.","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]}}}}
```

## POST /erp/order-proposals/{id}/order-proposal-suppliers

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers":{"post":{"tags":["OrderProposals"],"operationId":"createOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalSupplier":{"description":"Order proposal supplier relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"Supplier identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Should a price request be created instead of a supplier order?"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Should the created supplier order be sent by email directly?"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]}}}}
```

## POST /erp/order-proposals/generate-background

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"OrderProposals","description":"Order proposals."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/order-proposals/generate-background":{"post":{"tags":["OrderProposals"],"operationId":"generateOrderProposalsInBackground","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalGenerateRequest":{"description":"Information for creating an order proposal.","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template."},"purchaseStorageId":{"type":"integer","format":"int64","description":"Purchase order storage identifier."},"supplierPreference":{"type":"string","description":"Supplier preference.","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Demand determination type.","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Basis for the SALES demand determination.","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Averaging method for the SALES demand determination.","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim percentage per side, 0 to < 50 (mandatory for TRIMMED_MEAN)."},"recognizeReservations":{"type":"boolean","default":false,"description":"Consider reservations for the quantity to order."},"recognizeOrders":{"type":"boolean","default":false,"description":"Consider supplier orders for the quantity to order."},"recognizeStock":{"type":"boolean","default":false,"description":"Consider the stock for the quantity to order."},"productWideNeedAssessmentAndOrder":{"type":"boolean","default":false,"description":"Product-wide demand calculation and ordering across all packages of the product."},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Count material issues from the fabrication (net) in addition to the sales consumption (SALES only)."},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Number of days to order for."},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Observation period in days back from today (alternative to observationPeriods).","minimum":0},"observationPeriods":{"type":"array","description":"Specific observation periods (alternative to observationPeriodInLastDays).","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"recognizeNotYetApprovedPrePaymentReservations":{"type":"boolean","default":false,"description":"Consider prepayment reservations that are not yet released for delivery."},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Cut-off restriction for the reservation recognition in days."},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Include articles whose demand determination is based on reservations only."},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"Default supplier account identifier."},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Create a price request instead of a supplier order."},"articlePresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the articles."},"productGroupIds":{"type":"array","description":"Identifiers of the product groups the article selection is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the product groups the article selection is restricted to."}},"responsibleUserId":{"type":"integer","format":"int64","description":"Identifier of the responsible user the article selection is restricted to."},"supplierPresetId":{"type":"integer","format":"int64","description":"Identifier of a CUnit query preset restricting the suppliers."},"supplierAccountIds":{"type":"array","description":"Identifiers of the supplier accounts the order proposal is restricted to.","items":{"type":"integer","format":"int64","description":"Identifiers of the supplier accounts the order proposal is restricted to."}}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Observation period (from/to) for the demand determination based on sales.","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/order-proposals.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
